import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.*;

/**
 * Write a description of class Glare here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Glare extends Actor
{
    public Glare(int radius) 
    {
        GreenfootImage img = new GreenfootImage(radius, radius);
        /*int rand = Greenfoot.getRandomNumber(3);
        if(rand == 0) {
            img.setColor(new Color(230, 230, 255, 100));
        } else if(rand == 1) {
            img.setColor(new Color(230, 255, 230, 100));
        } else if(rand == 2) {
            img.setColor(new Color(255, 230, 230, 100));
        }*/
        int rand = 0;
        img.setColor(new Color(Greenfoot.getRandomNumber(56)+200, Greenfoot.getRandomNumber(56)+200, Greenfoot.getRandomNumber(56)+200, 80));
        if(rand == 0) {
            img.fillOval(0, 0, radius, radius);
        } else if(rand == 1) {
            double h = img.getWidth()/(2/Math.sqrt(2)+1);
            double a = (img.getWidth()-h)/2;
            double b = img.getWidth()-a;
            int[] xP = {(int)a, 0, 0, (int)a, (int)b, img.getWidth(), img.getWidth(), (int)b};
            int[] yP = {0, (int)a, (int)b, img.getWidth(), img.getWidth(), (int)b, (int)a, 0};
            img.fillPolygon(xP, yP, xP.length);
        }
        setImage(img);
    }    
    
    public Glare(int radius, int shape) 
    {
        GreenfootImage img = new GreenfootImage(radius, radius);
        /*int rand = Greenfoot.getRandomNumber(3);
        if(rand == 0) {
            img.setColor(new Color(230, 230, 255, 100));
        } else if(rand == 1) {
            img.setColor(new Color(230, 255, 230, 100));
        } else if(rand == 2) {
            img.setColor(new Color(255, 230, 230, 100));
        }*/
        int rand = shape;
        img.setColor(new Color(Greenfoot.getRandomNumber(56)+200, Greenfoot.getRandomNumber(56)+200, Greenfoot.getRandomNumber(56)+200, 80));
        if(rand == 0) {
            img.fillOval(0, 0, radius, radius);
        } else if(rand == 1) {
            double h = img.getWidth()/(2/Math.sqrt(2)+1);
            double a = (img.getWidth()-h)/2;
            double b = img.getWidth()-a;
            int[] xP = {(int)a, 0, 0, (int)a, (int)b, img.getWidth(), img.getWidth(), (int)b};
            int[] yP = {0, (int)a, (int)b, img.getWidth(), img.getWidth(), (int)b, (int)a, 0};
            img.fillPolygon(xP, yP, xP.length);
        }
        setImage(img);
    }    
}
