import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Worldy here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Worldy extends World
{
    Glare[] glare;
    int l = 10;
    int shape = 0;
    
    public Worldy()
    {    
        super(600, 400, 1, false); 
        getBackground().drawImage(new GreenfootImage("GlareBackground.png"), -300, -200);
        glare = new Glare[l];
        for(int i = 0; i < l; i++) {
            glare[i] = new Glare(Greenfoot.getRandomNumber(50)+15, Greenfoot.getRandomNumber(2));
        }
        act();
    }
    
    public void act() {
        if(Greenfoot.isKeyDown("0")) {
            for(int i = 0; i < l; i++) {
                glare[i] = new Glare(Greenfoot.getRandomNumber(50)+15, 0);
            }
        } else if(Greenfoot.isKeyDown("1")) {
            for(int i = 0; i < l; i++) {
                glare[i] = new Glare(Greenfoot.getRandomNumber(50)+15, 1);
            }
        }
        MouseInfo mouse = Greenfoot.getMouseInfo();
        if(mouse!=null) {
            getBackground().drawImage(new GreenfootImage("GlareBackground.png"), -mouse.getX(), -mouse.getY());
            removeObjects(getObjects(Glare.class));
            for(int i = 1; i <= l; i++) {
                addObject(glare[i-1], (600-mouse.getX())/l*(l-i)+mouse.getX()/l*i, (400-mouse.getY())/l*(l-i)+mouse.getY()/l*i);
            }
        }
    }
}
